OPENSSL-PKCS7(1SSL)

NUME
openssl-pkcs7 - comanda PKCS#7

SINOPSIS
openssl pkcs7 [-help] [-inform DER|PEM] [-outform DER|PEM] [-in nume-fișier] [-out nume-fișier] [-print] [-print_certs] [-quiet] [-text] [-noout] [-engine id] [-provider nume] [-provider-path ruta] [-provparam [nume:]cheie=valoare] [-propquery propq]

DESCRIERE
Această comandă procesează fișiere PKCS#7. Rețineți că aceasta înțelege doar PKCS#7 v 1.5, astfel cum este specificat în IETF RFC 2315. În prezent, nu poate analiza CMS, așa cum este descris în IETF RFC 2630.

OPȚIUNI

-help
    Afișează acest mesaj de utilizare.

-inform DER|PEM, -outform DER|PEM
    Intrarea și formatele; implicit este PEM. Consultați openssl-format-options(1) pentru detalii.

    Datele sunt o structură PKCS#7 versiunea 1.5.

-in nume-fișier
    Aceasta specifică numele fișierului de intrare din care se citește sau intrarea standard dacă această opțiune nu este specificată.

-out nume-fișier
    Specifică numele fișierului de ieșire în care se va scrie sau ieșirea standard în mod implicit.

-print
    Imprimă obiectul PKCS7 complet.

-print_certs
    Imprimă toate certificatele sau CRL-urile conținute în fișier. Acestea sunt precedate de numele subiectului și ale emitentului în formatul „pe o linie”.

-quiet
    Atunci când este utilizată cu „-print_certs”, imprimă doar certificatele codificate PEM, fără nicio altă ieșire.

-text
    Imprimă detaliile certificatului în întregime, nu doar numele subiectului și ale emitentului.

-noout
    Nu afișează versiunea codificată a structurii PKCS#7 (sau a certificatelor dacă -print_certs este specificată).

-engine id
    Consultați secțiunea «Opțiuni motor» din openssl(1). Această opțiune este depreciată.

-provider nume
-provider-path rută
-provparam [nume:]key=valoare
-propquery propq
    Consultați „Opțiuni furnizor” în openssl(1), provider(7) și property(7).

EXEMPLE
Convertește un fișier PKCS#7 din PEM în DER:

 openssl pkcs7 -in file.pem -outform DER -out file.der

Imprimă toate certificatele într-un fișier:

 openssl pkcs7 -in file.pem -print_certs -out certs.pem

CONSULTAȚI ȘI
openssl(1), openssl-crl2pkcs7(1)

ISTORIC
Opțiunea -engine a fost depreciată în OpenSSL 3.0.

DREPTURI DE AUTOR
Drepturi de autor 2000-2022 The OpenSSL Project Authors. Toate drepturile rezervate.

Licențiat sub Licența Apache 2.0 („License”). Nu aveți voie să utilizați acest fișier decât în conformitate cu licența. Puteți obține o copie din fișierul LICENSE din distribuția sursei sau de la <https://www.openssl.org/source/license.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.